<template>
  <a-layout :class="['layout', device]">
    <a-layout-content
      :style="{ minHeight: '100vh' }"
      :class="[layoutMode, `content-width-${contentWidth}`]"
    >
      <nuxt />
    </a-layout-content>
  </a-layout>
</template>

<script>
import { mixin, mixinDevice, AppDeviceEnquire } from '@/utils/mixin'
export default {
  mixins: [mixin, mixinDevice, AppDeviceEnquire],
  middleware: 'anonymous'
}
</script>

<style lang="less"></style>
